<div class="result-list-container px-0 px-sm-2 px-md-4">

  <div *ngIf="matchEducationsService.isLoadingFirstPageResult && !matchEducationsService.isBackendError"
       class="searchresultspinner-area">
    <mat-spinner class="education-spinner" [diameter]="40" aria-label="Sökning pågår"></mat-spinner>
    Sökning pågår..
  </div>
  <div *ngIf="matchEducationsService.isBackendError" class="searchresultbackenderror-area">
    <fa-icon [icon]="faBackendError"></fa-icon>
    <span class="errortext">Oj, något gick fel..</span>
  </div>

  <div *ngIf="showTotalHits && !matchEducationsService.isLoadingFirstPageResult && !matchEducationsService.isBackendError">
    <span class="searchresult-metadata-headline">Sökresultat: </span>
    {{matchEducationsService.totalHits}} träffar
    <div *ngIf="appComponent.debug"><span class="searchresult-metadata-headline">Mappad yrkesbenämning: </span>
    {{matchEducationsService.mappedOccupationLabel}}</div>
  </div>

  <div *ngIf="appComponent.debug" class="about-matching-result">
    <mat-accordion *ngIf="matchEducationsService.totalHits > 0 && !matchEducationsService.isBackendError && matchEducationsService.metadata != undefined">
      <mat-expansion-panel class="card-details-item">
        <mat-expansion-panel-header class="card-details-item">
          <mat-panel-title>
            <i>Om matchningsresultatet</i>
          </mat-panel-title>
          <mat-panel-description>
          </mat-panel-description>
        </mat-expansion-panel-header>
        <div fxFlex fxLayout="column" fxLayout.lt-sm="column">
          <div fxFlex="100%">
          Antal annonser vid berikning av {{matchEducationsService.mappedOccupationLabel}}: {{matchEducationsService.metadata.occupation_enriched_ads_count}} st
          </div>
          <mat-accordion class="metadata-term-boost" *ngIf="matchEducationsService.metadata.competencies_size && matchEducationsService.metadata.competencies_size > 0">
            <mat-expansion-panel class="card-details-item">
              <mat-expansion-panel-header class="card-details-item">
                <mat-panel-title>
                  Antal termer av typen KOMPETENS i matchningsfråga: {{matchEducationsService.metadata.competencies_size}} st
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
              </mat-expansion-panel-header>
              <div fxFlex fxLayout="column" fxLayout.lt-sm="column">
                <table>
                  <tr>
                    <th>Term</th>
                    <th>Boost</th>
                  </tr>
                  <tr *ngFor="let termBoostItem of matchEducationsService.metadata.competencies_term_boost">
                    <td class="metadata-term-boost-item-term">{{termBoostItem.term}}</td>
                    <td>{{termBoostItem.boost}}</td>
                  </tr>
                </table>

              </div>
            </mat-expansion-panel>
          </mat-accordion>

          <mat-accordion class="metadata-term-boost" *ngIf="matchEducationsService.metadata.occupations_size && matchEducationsService.metadata.occupations_size > 0">
            <mat-expansion-panel class="card-details-item">
              <mat-expansion-panel-header class="card-details-item">
                <mat-panel-title>
                  Antal termer av typen YRKE (yrkestitel) i matchningsfråga: {{matchEducationsService.metadata.occupations_size}} st
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
              </mat-expansion-panel-header>
              <div fxFlex fxLayout="column" fxLayout.lt-sm="column">
                <table>
                  <tr>
                    <th>Term</th>
                    <th>Boost</th>
                  </tr>
                  <tr *ngFor="let termBoostItem of matchEducationsService.metadata.occupations_term_boost">
                    <td class="metadata-term-boost-item-term">{{termBoostItem.term}}</td>
                    <td>{{termBoostItem.boost}}</td>
                  </tr>
                </table>

              </div>
            </mat-expansion-panel>
          </mat-accordion>

        </div>
      </mat-expansion-panel>
    </mat-accordion>
  </div>


  <div id="result-list-items-container" class="result-list-items-container"
       infiniteScroll
       [infiniteScrollDistance]="2"
       [infiniteScrollThrottle]="50"
       (scrolled)="onResultItemsScroll()"
       [scrollWindow]="false">
    <div *ngIf="!matchEducationsService.isLoadingFirstPageResult">
      <div *ngFor="let education of getEducationsLight();let i = index"
           [attr.data-index]="i+1 + (matchEducationsService.page-1)*matchEducationsService.nrDocsToFetch">
        <mat-card appearance="outlined" class="card-item">
          <mat-card-title><h3>{{ education.title }} <span *ngIf="education.code"> ({{education.code}})</span></h3>
          <h4><div *ngIf="education.providers.length > 1">Flera lärosäten ({{education.providers.length}})</div>
            <div *ngIf="education.providers.length == 1">{{education.providers[0]}}</div></h4></mat-card-title>
          <mat-card-content class="education-summary-container">
            <div class="educationform-and-type">{{capitalizeWords(education.form)}}
              <span *ngIf="education.type">, {{education.type}}</span>
            </div>
            <div class="education-summary" fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="20px">

              <div *ngIf="education.paceOfStudyPercentages.length > 0"><fa-icon [icon]="faClock"></fa-icon> Studietakt {{education.paceOfStudyPercentages[0]}} %</div>
              <div *ngIf="education.municipalityCodes.length > 1"><fa-icon [icon]="faGlobe"></fa-icon> Flera kommuner ({{education.municipalityCodes.length}})</div>
              <div *ngIf="education.municipalityCodes.length == 1"><fa-icon [icon]="faGlobe"></fa-icon> {{this.getMunicipality(education.municipalityCodes[0])}}</div>
              <div *ngIf="education.languagesOfInstruction.length > 1"><fa-icon [icon]="faLanguage"></fa-icon> Undervisning på flera språk ({{education.languagesOfInstruction.length}})</div>
              <div *ngIf="education.languagesOfInstruction.length == 1"><fa-icon [icon]="faLanguage"></fa-icon> Undervisning på {{getLanguage(education.languagesOfInstruction[0])}}</div>
              <div *ngIf="education.distance"><fa-icon [icon]="faLocationDot"></fa-icon> Distansutbildning</div>
            </div>
          </mat-card-content>
          <mat-card-actions>

            <button mat-raised-button class="search-button btn-primary-education" fxFlex="50"
                    (click)="setEducationInfo(education)">Om utbildningen
            </button>
          </mat-card-actions>
        </mat-card>

      </div>
    </div>
    <div *ngIf="matchEducationsService.isLoadingPageResult && !matchEducationsService.isLoadingFirstPageResult"
         class="searchresultspinner-area">
      <mat-spinner class="education-spinner" [diameter]="40" aria-label="Laddar resultat"></mat-spinner>
      Laddar..
    </div>
  </div>


</div>
